"use strict";

{
  const C3 = self.C3;
  C3.Behaviors.SkymenSkin.Acts = {
    SetSkin(skin) {
      if (this.default) {
        this.default = false;
      }
      this.skinTag = skin;
      this.updateSkin();
    },

    SetSubSkin(subSkin) {
      this.subSkinTag = subSkin;
      this.updateSkin();
    },

    Setup(skin, subSkin) {
      this.default = false;
      this.skinTag = skin;
      this.subSkinTag = subSkin;
      this.updateSkin();
    },

    UseDefault() {
      this.default = true;
      this.updateSkin();
    },

    HideDefault(hide) {
      this.hideDefault = hide === 1; //0 = No, 1 = Yes
      this.updateSkin();
    },

    SetImagePoint(ip) {
      this.imagePoint = ip;
    },

    SyncMode(mode) {
      this.syncWithAnim = mode === 0 || mode === 2;
      this.syncWithFrame = mode === 1 || mode === 2;
      if (this.syncWithAnim) {
        this.subSkinTag = this.getCurAnim(this._inst);
      }
    },

    SyncZOrder(mode) {
      this.syncZOrder = mode === 0;
    },

    UpdateZOrder() {
      if (this.object) {
        this.setZorder();
      }
    },
  };
}
